/* Operaciones que no pueden ser realizadas por hardware.
 *
 * Helpers
 * =======
 * 	· __aeabi_uidiv - unsigned integer division
 */

unsigned __aeabi_uidiv(unsigned n, unsigned d)
{
	unsigned N = 32;
	unsigned q = 0, r = n;
	do
	{
		N--;
		if((r >> N) >= d)
		{
			r -= (d << N);
			q += (1 << N);
		}
	} while (N);
	return q;
}
