#ifndef __SLEEP_H__
#define __SLEEP_H__

#include <queue.h>
#include <deltaQueue.h>
#include <scheduler.h>
#include <stdint.h>

extern DeltaQueue *sleepQueue;

void sleepInit();
int sleepIrq();
void sleep(int ms);

// blocking ////
void sleep2(uint32_t millis);
void delayMicroseconds(uint32_t micros);

#endif /* __SLEEP_H__ */
