#include <PL011.h>

/*
	Actualmente este driver no funciona.
	Se utiliza el UART0 (mini UART, src/miniUART.h & src/uart.c).
*/

//GPIO14  TXD0 and TXD1
//GPIO15  RXD0 and RXD1
//alt function 5 for uart1
//alt function 0 for uart0

//(3000000 / (16 * 115200) = 1.627
//(0.627*64)+0.5 = 40
//int 1 frac 40

void PL011_init()
{
	PL011 *uart = (PL011 *) PL011_ADDR;
	
	uart->cr.bits = 0; // Disable PL011
	
	gpio_fsel(14, FSEL_ALT0);
	gpio_fsel(15, FSEL_ALT0);
	
	gpio_pud(14, 0);
	gpio_pud(15, 0);
	
	uart->icr.bits = 0x7ff;
	uart->ibrd.bits = 1;
	uart->fbrd.bits = 40;
	uart->lcrh.bits = 0x60;
	uart->cr.bits = 0x301;
	
	gpio_fsel(8, FSEL_OUTPUT);
	gpio_fsel(7, FSEL_OUTPUT);
	
	while(uart->fr.fields.tx_fifo_full)
		PL011_getch();
}

void PL011_putch(char ch)
{
	PL011 *uart = (PL011 *) PL011_ADDR;
	while(uart->fr.fields.tx_fifo_full)
	{
		gpio_set(8);
	}
	
	gpio_clear(8);
	uart->dr.fields.data = ch & 0xff;
}

char PL011_getch()
{
	PL011 *uart = (PL011 *) PL011_ADDR;
	while(uart->fr.fields.rx_fifo_empty)
	{
		gpio_set(7);
	}
	
	gpio_clear(7);
	return (char) (uart->dr.fields.data & 0xff);
}
