#ifndef __SYSCALL_H__
#define __SYSCALL_H__

#define SWI_GPIO_CLEAR 0
#define SWI_GPIO_SET 1
#define SWI_GPIO_FSEL 2

#define SWI_SLEEP 10

#define SWI_PID 35

#define SWI_FORK 40
#define SWI_EXEC 41
#define SWI_WAIT 42
#define SWI_QUIT 43

#define SWI_GETCH 45
#define SWI_PUTCH 46

#define SWI_MUTEX_CREATE 50
#define SWI_MUTEX_ADQUIRE 51
#define SWI_MUTEX_RELEASE 52

#define SWI_SHARED_CREATE 60

#define SWI_MALLOC 70
#define SWI_FREE 71

#endif /* __SYSCALL_H__ */